package database

import (
	"database/sql"

	"github.com/mtgban/go-mtgban/cardtrader"
)

func InsertCardtraderExpansion(db *sql.DB, expansion cardtrader.Expansion) error {
	query := `INSERT INTO CardtraderExpansion (Id, Code, Name) VALUES (?, ?, ?)
	ON DUPLICATE KEY UPDATE Id = ?, Code = ?, Name = ?;`

	insert, err := db.Prepare(query)
	defer insert.Close()
	if err != nil {
		return err
	}

	_, err = insert.Exec(expansion.Id, expansion.Code, expansion.Name, expansion.Id, expansion.Code, expansion.Name)
	if err != nil {
		return err
	}

	return nil
}
